package com.ximai.mes.tm.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ximai.common.core.domain.BaseEntity;

/**
 * 刀具维护记录对象 tm_tool_maintenance_process
 *
 * @author generator
 * @date 2024-02-02
 */
public class TmToolMaintenanceProcess extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  ID */
    @TableId
    private Long processId;

    /** 维护保养id */
    @Excel(name = "维护保养id")
    private Long toolMaintenanceId;

    /** 维护人 */
    @Excel(name = "维护人")
    private String processPerson;



    /** 剩余寿命 */
    @Excel(name = "剩余寿命")
    private Long lifeTime;

    /** 维护后状态 */
    @Excel(name = "维护后状态")
    private String processStatus;



    /** 维护时间 */
    @Excel(name = "维护时间")
    private Long processTime;

    /** 开始时间 */
    private String startTime;

    /**  结束时间 */

    private String endTime;

    public Long getLifeTime() {
        return lifeTime;
    }

    public void setLifeTime(Long lifeTime) {
        this.lifeTime = lifeTime;
    }

    public void setProcessId(Long processId)
    {
        this.processId = processId;
    }

    public Long getProcessId()
    {
        return processId;
    }


    public Long getToolMaintenanceId() {
        return toolMaintenanceId;
    }

    public void setToolMaintenanceId(Long toolMaintenanceId) {
        this.toolMaintenanceId = toolMaintenanceId;
    }

    public void setProcessPerson(String processPerson)
    {
        this.processPerson = processPerson;
    }

    public String getProcessPerson()
    {
        return processPerson;
    }
    public void setProcessStatus(String processStatus)
    {
        this.processStatus = processStatus;
    }

    public String getProcessStatus()
    {
        return processStatus;
    }

    public Long getProcessTime() {
        return processTime;
    }

    public void setProcessTime(Long processTime) {
        this.processTime = processTime;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("processId", getProcessId())
                .append("toolMaintenanceId", getToolMaintenanceId())
                .append("processPerson", getProcessPerson())
                .append("processStatus", getProcessStatus())
                .append("processTime", getProcessTime())
                .append("startTime", getStartTime())
                .append("endTime", getEndTime())
                .append("remark", getRemark())
                .append("lifeTime", getLifeTime())


                .toString();
    }
}
